Search documentation of ash

# View Source Ash.Policy.Check.ContextEquals (ash v3.4.30)

This check is true when the value of the specified key or path in the changeset or query context equals the specified value.

# Summary

## Functions

eager_evaluate?()

Callback implementation for `Ash.Policy.Check.eager_evaluate?/0`.

prefer_expanded_description?()

Callback implementation for `Ash.Policy.Check.prefer_expanded_description?/0`.

strict_check(actor, context, opts)

Callback implementation for `Ash.Policy.Check.strict_check/3`.

type()

Callback implementation for `Ash.Policy.Check.type/0`.

# Functions

Link to this function

# eager_evaluate?()

View Source

Callback implementation for `Ash.Policy.Check.eager_evaluate?/0`.

Link to this function

# prefer_expanded_description?()

View Source

Callback implementation for `Ash.Policy.Check.prefer_expanded_description?/0`.

Link to this function

# strict_check(actor, context, opts)

View Source

Callback implementation for `Ash.Policy.Check.strict_check/3`.

Link to this function

# type()

View Source

Callback implementation for `Ash.Policy.Check.type/0`.